Bug 127462 - vi is too "featurefull"
vi is too "featurefull"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vim (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-08 12:07 EDT by seph
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-21 10:06:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description seph 2004-07-08 12:07:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
"vi" is an alias to vim. The vim with the shipped configuration is
very very different than vi. I frequently find that this very
inconvient, as I use vi to edit system configs. vim's autoindent and
linebreak are exactly wrong almost all of the time. Please fix this.

Some possible fixes include:

  shipping nvi as vi, instead of vim.

  making vi a shell script that invokes vim -C

  changing the vim defaults not to set nocompatable or ai

  shipping vim-minimal, and not aliasing vi to vim.

Version-Release number of selected component (if applicable):
vim-enhanced-6.2.98-1

How reproducible:
Always

Steps to Reproduce:
run vi

Additional info:
Comment 1 Karsten Hopp 2004-07-21 10:06:37 EDT
closing as 'wontfix'. If someone installs vim-enhanced, we can 
safely assume that the full featured version is what the user wants. 
There are a few workarounds for you:   
- put an unalias vi in your .bashrc/.profile 
- remove /etc/profile.d/vim.* for systemwide changes 
- run '/bin/vi' if you want to run the minimal version, 'vi' if you  
  want the full version. 

Note You need to log in before you can comment on or make changes to this bug.